﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Finance Report
            </h1>
        </div>
        <div class="actions">
            @*<a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print">
                    <i style="margin-top: 11px;" class="icon-printer fg-black"></i>
                </a>*@
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Share Report" ng-click="shareReport()">
                <i style="margin-top: 11px;" class="fg-black icon-share-2"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Email participants" ng-click="MakeCampaign()">
                <i style="margin-top: 11px;" class="fg-black jbi-email"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="one-half place-left">
        <div class="half-size place-left">
            <div data-format="mm/dd/yyyy" data-effect="fade">
                <label>Transaction start date</label>
                <input kendo-date-picker ng-model="Model.Filters.RegistrationStart" type="text" placeholder="mm/dd/yyyy" />
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="half-size place-left">
            <div data-format="mm/dd/yyyy" data-effect="fade">
                <label>Transaction end date</label>
                <input kendo-date-picker ng-model="Model.Filters.RegistrationEnd" type="text" placeholder="mm/dd/yyyy" />
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="one-half place-left">
            <label>Transaction category</label>
            <div class="input-control select" data-role="input-control">
                <select chosen multiple ng-model="Model.Filters.TransactionFilters.TransactionCategory" ng-options="temp.Value as temp.Text for temp in Model.Filters.TransactionFilters.TransactionCategories"></select>
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="one-half place-left">
            <label>Payment method</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Filters.TransactionFilters.PaymentMethod" ng-options="temp.Value as temp.Text for temp in Model.Filters.TransactionFilters.PaymentMethods"></select>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <input class="default button place-right" type="submit" value="Filter data" ng-click="filterData()">
    <div class="clearfix"></div>
    <br />
    <input class="default button place-right" type="submit" value="Clear filter(s)" ng-click="clearFilters()">
    <div class="clearfix"></div>
    @*<div class="clearfix"></div>
        <div class="one-half place-left">
            <label>Status</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Filters.Status" ng-options="temp.Value as temp.Text for temp in Model.Filters.OrderStatus"></select>
            </div>
        </div>*@
    <label for="searchFinance">Search by account email</label>
    <div class="input-control text" data-role="input-control">
        <input ng-model="searchTerm" id="searchFinance" type="text" placeholder="" ng-change="">
        <button class="btn-search" tabindex="-1" type="button" ng-click="filterData()"></button>
    </div>
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="seasonTransactionReportGrid" options="seasonTransactionReportGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>
